using System;

namespace ConsoleApp40
{
    class Program
    {
        static void Main(string[] args)
        {
            int t = int.Parse(Console.ReadLine());
            for (int i = 0; i < t; i++)
            {
                string[] s = Console.ReadLine().Split(' ');
                int n = int.Parse(s[0]);
                int m = int.Parse(s[1]);
                int k = int.Parse(s[2]);
               
                int gm = n / k;
                int gv=gm+1;
                int bgv = (n - gm*k) / (gv - gm);
                int bgm = k-bgv;
                int gmbmin = 0;
                int gvbmin = 0;
                int r = 0;
                for (int f = 0; f < gm; f++)
                {
                    gmbmin += f + 1;
                    r = f;
                }
                gvbmin = gmbmin + r + 2;
                int bmin = gmbmin * bgm + gvbmin * bgv;
                if (m>=bmin)
                    Console.WriteLine("Tak");
                else
                    Console.WriteLine("Nie");
            }
        }
    }
}